edu.sc.seis.sod.process.waveform.vector

## Class WaveformVectorResult

- java.lang.Object
- - edu.sc.seis.sod.process.waveform.vector.WaveformVectorResult

-     public class WaveformVectorResult
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WaveformVectorResult(boolean success, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] seismograms, java.lang.Object actor)`
    `WaveformVectorResult(boolean success, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] seismograms, java.lang.Object actor, java.lang.String reason)`
    `WaveformVectorResult(boolean success, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismogramsA, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismogramsB, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismogramsC, java.lang.Object actor)` convenience constructor to get around two dimensional arrays being hard in jython.
    `WaveformVectorResult(boolean success, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismogramsA, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismogramsB, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismogramsC, java.lang.Object actor, java.lang.String reason)` convenience constructor to get around two dimensional arrays being hard in jython.
    `WaveformVectorResult(edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] seismograms, StringTree reason)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringTree` | `getReason()`
    `edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][]` | `getSeismograms()`
    `boolean` | `isSuccess()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WaveformVectorResult

          public WaveformVectorResult(boolean success,
                                      edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] seismograms,
                                      java.lang.Object actor)

    - #### WaveformVectorResult

          public WaveformVectorResult(boolean success,
                                      edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] seismograms,
                                      java.lang.Object actor,
                                      java.lang.String reason)

    - #### WaveformVectorResult

          public WaveformVectorResult(boolean success,
                                      edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismogramsA,
                                      edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismogramsB,
                                      edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismogramsC,
                                      java.lang.Object actor)

      convenience constructor to get around two dimensional arrays being hard in jython.

    - #### WaveformVectorResult

          public WaveformVectorResult(boolean success,
                                      edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismogramsA,
                                      edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismogramsB,
                                      edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismogramsC,
                                      java.lang.Object actor,
                                      java.lang.String reason)

      convenience constructor to get around two dimensional arrays being hard in jython.

    - #### WaveformVectorResult

          public WaveformVectorResult(edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] seismograms,
                                      StringTree reason)

  - ### Method Detail

    - #### isSuccess

          public boolean isSuccess()

    - #### getSeismograms

          public edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] getSeismograms()

    - #### getReason

          public StringTree getReason()